Loading...
Searching...
No Matches
BALL::BalabanIndexJ Class Reference

`#include <BALL/QSAR/connectivityDescriptors.h>`

Inheritance diagram for BALL::BalabanIndexJ:

## Public Member Functions

Constructors and Destructors
| BalabanIndexJ ()
| BalabanIndexJ (const BalabanIndexJ &bij)
virtual | ~BalabanIndexJ ()
Assignment
BalabanIndexJ & | operator= (const BalabanIndexJ &bij)
Public Member Functions inherited from BALL::ConnectivityBase
| ConnectivityBase ()
| ConnectivityBase (const ConnectivityBase &cb)
| ConnectivityBase (const String &name)
| ConnectivityBase (const String &name, const String &unit)
virtual | ~ConnectivityBase ()
virtual ConnectivityBase & | operator= (const ConnectivityBase &cb)
void | computeAllDescriptors (AtomContainer &ac)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::ConnectivityBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

The Balaban index J is topological index. It is calculated using the distance matrix with weighted edges of the molecular graph: 1 for single bonds, $\frac{1}{2}$ for double bonds, $\frac{1}{3}$ for triple bonds and $\frac{2}{3}$ for aromatic bonds.
( J = \frac{q}{(q-n+2)} \cdot \sum_{\text{adjac.}i,j} (s_i,s_j)^{-\frac{1}{2}} ), $s_i$ and $s_j$ denotes the row sum of the distance matrix of atom $i$ and $j$.

Definition at line 65 of file connectivityDescriptors.h.

## Constructor & Destructor Documentation

## BalabanIndexJ() [1/2]

BALL::BalabanIndexJ::BalabanIndexJ | ( |  | ) |

Default constructor

## BalabanIndexJ() [2/2]

BALL::BalabanIndexJ::BalabanIndexJ | ( | const BalabanIndexJ & | bij | ) |

Copy constructor

## ~BalabanIndexJ()

virtual BALL::BalabanIndexJ::~BalabanIndexJ | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## operator=()

BalabanIndexJ & BALL::BalabanIndexJ::operator= | ( | const BalabanIndexJ & | bij | ) |

Assignment Operator